Name:           perl-Alien-ROOT
Version:        5.34.3.1
Release:        7%{?dist}
Summary:        Utility package to install and locate CERN's ROOT library
License:        GPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Alien-ROOT/
Source0:        http://www.cpan.org/authors/id/S/SM/SMUELLER/Alien-ROOT-v%{version}.tar.gz
# Make packages architecture specific to prevent building on arm, bug #1004354
ExcludeArch:    %{arm}
# Bugs #1004354, #1141466
%global debug_package %{nil}
BuildRequires:  perl
BuildRequires:  perl(Archive::Extract)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Env)
BuildRequires:  perl(Exporter)
# ExtUtils::Command not used
BuildRequires:  perl(Fatal)
BuildRequires:  perl(File::Fetch)
BuildRequires:  perl(Getopt::Long)
# inc::latest not used
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  root-core
# Tests:
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Config)
Requires:       perl(ExtUtils::MakeMaker)
Requires:       perl(File::Spec)
Requires:       perl(IPC::Open3)
Requires:       root-core

%description
The original intention is to install and detect CERN's ROOT library. This
package always requires the ROOT library provided with your distribution.

%prep
%setup -q -n Alien-ROOT-v%{version}
# Remove bundled modules
find inc -depth -mindepth 1 -maxdepth 1 \! -name Alien -exec rm -rf -- {} +
sed -i -e '/^inc\//d' MANIFEST
find inc -type f >> MANIFEST
# Bypass inc::latest as it requires packlists
sed -i -e "s/use inc::latest '\([^']*\)'/use \1/" Build.PL

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Sep 15 2014 Petr Pisar <ppisar@redhat.com> - 5.34.3.1-7
- Disable generating debuginfo sub-package (bug #1141466)

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 5.34.3.1-6
- Perl 5.20 rebuild
- Made packages architecture specific

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.34.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Sep 04 2013 Petr Pisar <ppisar@redhat.com> - 5.34.3.1-4
- Disable on ARM due to root (bug #1004354)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.34.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 5.34.3.1-2
- Perl 5.18 rebuild

* Tue May 14 2013 Petr Pisar <ppisar@redhat.com> 5.34.3.1-1
- Specfile autogenerated by cpanspec 1.78.
